#!/bin/sh
JAVA_HOME={{ java_home }}
WORKING_DIR=`dirname $0`
LOG_FILE=${WORKING_DIR}/gcp.log
JAVA_ARGS="-Dhttps.proxyHost={{ gcpgate_proxy_host }} -Dhttps.proxyPort={{ gcpgate_proxy_port }} -Djavax.net.debug=all"

case $1 in
start)
nohup $JAVA_HOME/bin/java $JAVA_ARGS -Dlogging.config=${WORKING_DIR}/log-settings.xml -jar ${WORKING_DIR}/gcpgate-run.jar >$LOG_FILE 2>&1 &
;;
stop)
PID=`ps -ef | grep -v grep | grep "java.*gcpgate" | awk '{print $2}'`
kill $PID
;;
status)
ps -ef | grep -v grep | grep "java.*gcpgate"
;;
*)
echo "Use $0 start|stop|status"
;;
esac
